SuperPaintParserInternal::Shape Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
SuperPaintParserInternal::Shape Struct Reference

Internal: the shape of a SuperPaintParser. More...

## Public Types
enum | Type { GraphicShape, Group, Picture, TextBox }
| the type More...

## Public Member Functions
| Shape (Type type, MWAWBox2f const &box)
| constructor More...

## Public Attributes
Type | m_type
| the shape type More...
MWAWBox2f | m_box
| the bdbox More...
MWAWEntry | m_entry
| the picture/textbox entry More...
MWAWGraphicShape | m_shape
| the graphic shape More...
MWAWGraphicStyle | m_style
| the graphic style More...
MWAWFont | m_font
| the textbox font More...
MWAWParagraph::Justification | m_justify
| the textbox justification More...
double | m_interline
| the interline in percent More...

## Friends
std::ostream & | operator<< (std::ostream &o, Shape const &shape)
| operator<< More...

## Detailed Description

Internal: the shape of a SuperPaintParser.

## Member Enumeration Documentation

enum SuperPaintParserInternal::Shape::Type

the type

Enumerator
GraphicShape |
Group |
Picture |
TextBox |

## Constructor & Destructor Documentation

SuperPaintParserInternal::Shape::Shape | ( | Type | type,
|  | MWAWBox2f const & | box
| ) |  |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Shape const & | shape
| ) |  |
| friend

operator<<

Referenced by Shape().

## Member Data Documentation

MWAWBox2f SuperPaintParserInternal::Shape::m_box

the bdbox

Referenced by SuperPaintParserInternal::operator<<(), and SuperPaintParser::sendPictures().

MWAWEntry SuperPaintParserInternal::Shape::m_entry

the picture/textbox entry

Referenced by SuperPaintParser::readShape(), SuperPaintParser::sendPictures(), and SuperPaintParser::sendText().

MWAWFont SuperPaintParserInternal::Shape::m_font

the textbox font

Referenced by SuperPaintParser::sendText().

double SuperPaintParserInternal::Shape::m_interline

the interline in percent

Referenced by SuperPaintParser::sendText().

MWAWParagraph::Justification SuperPaintParserInternal::Shape::m_justify

the textbox justification

Referenced by SuperPaintParser::sendText().

MWAWGraphicShape SuperPaintParserInternal::Shape::m_shape

the graphic shape

Referenced by SuperPaintParserInternal::operator<<(), SuperPaintParser::readShape(), and SuperPaintParser::sendPictures().

MWAWGraphicStyle SuperPaintParserInternal::Shape::m_style

the graphic style

Referenced by SuperPaintParserInternal::operator<<(), SuperPaintParser::readShape(), and SuperPaintParser::sendPictures().

Type SuperPaintParserInternal::Shape::m_type

the shape type

Referenced by SuperPaintParserInternal::operator<<(), SuperPaintParser::sendPictures(), and SuperPaintParser::sendText().

The documentation for this struct was generated from the following file:

- SuperPaintParser.cxx